clc;
clear;

s             =   2;                      %  Downsampling factor;
In_dir        =   'Data\Test_images';     %  Original images
Out_dir       =   'Results\';
image_name    =   'Butterfly.tif';

ori_im        =   double( imread(fullfile(In_dir, image_name)) );
LR_im         =   ori_im(1:s:end, 1:s:end, :);

imwrite(LR_im./255, fullfile(Out_dir, strcat('LR_', image_name)));

